(function ($) {
  "use strict";

  function dismissDisclaimer(disclaimer) {
    $.cookie('disclaimer' + disclaimer.data('pid'), true, 31);
  }

  Drupal.behaviors.inoDisclaimer = {
    attach: function () {
      $('.disclaimer').once('disclaimer-init').each(function () {
        var disclaimer = $(this);
        var closeBtn = $(this).find('.disclaimer-btn');
        var toggleBtn = $(this).find('.disclaimer-toggle');
        var disclaimerCookie = $.cookie('disclaimer' + disclaimer.data('pid')) === 'true';
        if (!disclaimerCookie) {
          disclaimer.addClass('show');
        }
        closeBtn.click(function() {
          disclaimer.removeClass('show');
          dismissDisclaimer(disclaimer);
        });
        toggleBtn.click(function() {
          disclaimer.toggleClass('show');
        });
      });
    }
  };
})(jQuery);
