(function ($) {
  "use strict";

  Drupal.behaviors.inoStyleSelect = {
    attach: function (context) {
      $('.ino-pt-style-widget', context).once('ino-pt-style-widget-init').each(function (key, scope) {
        // Set icon from default value:
        var def_value = $('select', this).val();

        def_value = Array.isArray(def_value) ? def_value : [def_value];

        if (def_value.length) {
          def_value.forEach(function(item) {
            var group_label = $('select option[value="' + item + '"]', scope).parent().attr('label');
            $('.style-group[data-group-value="' + group_label + '"] li.style-item[data-item-value="' + item + '"]', scope).addClass('active');
          });
        }

        // Show widget:
        $(scope).show();

        // Set value in select options:
        $(this).find('.style-item').click(function() {
          $(this).parents('.style-items').find('.style-item').removeClass('active');
          $(this).addClass('active');

          var style_values = [];
          $(this).parents('.ino-pt-style-widget').find('.style-item.active').each(function (item, key) {
            style_values.push($(this).attr('data-item-value'));
          });

          var wrapperID = $(this).parents('.ino-pt-style-widget').attr('id');
          $('#' + wrapperID + '.ino-pt-style-widget select').val(style_values);
        });
      });
    }
  };
})(jQuery);
