/**
 * @file
 * JS for menu quicklinks.
 */
(function ($, Drupal) {

  Drupal.behaviors.MainLanguageSwitcher = {
    attach: function(context, settings) {
      $(document).ready(function(){
        $('.block-language').once('language').each(function() {
          var block = $(this);
          var currentLanguage = block.find($('.language-link.is-active')).text();
          block.append("<button class='button-language'>" + currentLanguage + "</button>");
        });
      });
      $(document).click(function(e) {
        if ($(e.target).hasClass('button-language')) {
          $(e.target).closest($('.block-language')).addClass('show');
        }
        if (!$(e.target).hasClass('button-language')) {
          $('.block-language').removeClass('show');
        }
      });
    }
  };

})(window.jQuery, window.Drupal);
